import { FinancialOverlay } from "./FinancialOverlay";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { Type, Point } from "igniteui-react-core/ES2015/type";
import { CategoryFrame } from "./CategoryFrame";
import { AxisRange } from "./AxisRange";
import { Axis } from "./Axis";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { SeriesView } from "./SeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { Polyline } from "igniteui-react-core/ES2015/Polyline";
import { Polygon } from "igniteui-react-core/ES2015/Polygon";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
/**
 * @hidden
 */
export declare class BollingerBandsOverlay extends FinancialOverlay {
    static $t: Type;
    constructor();
    pm: number;
    pl: number;
    protected is(a: any, b: string, c: any, d: any): void;
    private pj;
    private pk;
    protected pc(): boolean;
    an(a: Axis): AxisRange;
    ph: List$1<number>;
    pi: List$1<number>;
    os(a: CategoryFrame, b: FinancialSeriesView): void;
    hp(a: boolean, b: SeriesView): void;
    ek(a: Point, b: boolean, c: boolean): number;
    fb(a: Point, b: boolean): number;
    e9(a: Point, b: boolean): number;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    ou(a: CategoryFrame, b: FinancialSeriesView): void;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    private pg;
    protected n1(): number;
    ee(): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BollingerBandsBucketCalculator extends FinancialBucketCalculator {
    static $t: Type;
    constructor(a: FinancialSeriesView);
    protected f: BollingerBandsOverlayView;
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class BollingerBandsOverlayView extends FinancialSeriesView {
    static $t: Type;
    b0: BollingerBandsOverlay;
    constructor(a: BollingerBandsOverlay);
    ap(): void;
    protected bv(): FinancialBucketCalculator;
    b2(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: (arg1: number) => number, e: (arg1: number) => number, f: (arg1: number) => number): void;
    b1(): void;
    readonly b4: Polygon;
    readonly b9: Polyline;
    readonly ca: Polyline;
    readonly cb: Polyline;
    private b5;
    private cc;
    private cd;
    private ce;
    private b3;
    private b6;
    private b7;
    private b8;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
